NisusWrtTextInternal Namespace Reference

Internal: the structures of a NisusWrtText. More...

## Classes

struct | Font
| Internal: the fonts and many other data. More...
struct | Paragraph
| Internal: class to store the paragraph properties. More...
struct | HeaderFooter
| Internal structure: use to store a header. More...
struct | Footnote
| Internal structure: use to store a footnote. More...
struct | PicturePara
| Internal: the picture data ( PICD ). More...
struct | DataPLC
| Internal: class to store the PLC: Pointer List Content ? More...
struct | Zone
| internal structure used to store zone data More...
struct | State
| Internal: the state of a NisusWrtText. More...
class | SubDocument
| Internal: the subdocument of a NisusWrtText. More...

## Enumerations

enum | PLCType { P_Format =0 , P_Ruler , P_Footnote , P_HeaderFooter , P_PicturePara , P_Unknown }
| different types More...

## Functions

std::ostream & | operator<< (std::ostream &o, Font const &font)
std::ostream & | operator<< (std::ostream &o, HeaderFooter const &hf)
std::ostream & | operator<< (std::ostream &o, Footnote const &ft)
std::ostream & | operator<< (std::ostream &o, PicturePara const &pict)
std::ostream & | operator<< (std::ostream &o, DataPLC const &plc)
| operator<< for DataPLC

## Detailed Description

Internal: the structures of a NisusWrtText.

## Enumeration Type Documentation

## PLCType

enum NisusWrtTextInternal::PLCType

different types

- Format: font properties
- Ruler: new ruler

Enumerator
P_Format |
P_Ruler |
P_Footnote |
P_HeaderFooter |
P_PicturePara |
P_Unknown |

## Function Documentation

## operator<<() [1/5]

std::ostream & NisusWrtTextInternal::operator<< | ( | std::ostream & | o,
|  | DataPLC const & | plc )

operator<< for DataPLC

operator<<

## operator<<() [2/5]

std::ostream & NisusWrtTextInternal::operator<< | ( | std::ostream & | o,
|  | Font const & | font )

## operator<<() [3/5]

std::ostream & NisusWrtTextInternal::operator<< | ( | std::ostream & | o,
|  | Footnote const & | ft )

## operator<<() [4/5]

std::ostream & NisusWrtTextInternal::operator<< | ( | std::ostream & | o,
|  | HeaderFooter const & | hf )

## operator<<() [5/5]

std::ostream & NisusWrtTextInternal::operator<< | ( | std::ostream & | o,
|  | PicturePara const & | pict )